import type { RouteRecordRaw } from "vue-router";

export const adminRoutes: RouteRecordRaw[] = [
  {
    path: "admin/resources",
    name: "admin-resources",
    component: () => import("../views/admin/AdminResourcesView.vue"),
    meta: {
      requiresAdminRole: true,
    },
  },
  {
    path: "admin/users",
    name: "admin-users",
    component: () => import("../views/admin/AdminUsersView.vue"),
    meta: {
      requiresAdminRole: true,
    },
  },
];
